/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

function initAdministration() {
    $("#upgrade_form").on("submit", function (e) {
        upgrading = true;
        e.stopPropagation();
        e.preventDefault();
        $.blockUI(block_settings);
        var data = new FormData($('#administration form')[0]);
        try {
            $.ajax({
                url: 'sources/administration.php',
                data: data,
                processData: false,
                contentType: false,
                type: 'POST',
                error: function(jqXHR, textStatus, errorThrown) {
                    if (jqXHR.status == 401)
                    {
                        window.location = "/";
                        return;
                    }
                    $( "#text", $( "#dialog-alert" )).text(lang['S_FILE_LOAD_FAILED'] + " (" + textStatus + " - " + jqXHR.responseText + ")");
                    $( "#dialog-alert" ).dialog("open");
                },
                success: function(data) {
                    var indx = 0;
                    $('body').html("<div id='progressbar'><div id='progress-bar' style='width:0%; background-color:gray;height:2px'></div></div><p>"+lang['S_RESTARTING_DEVICE']+" (<span class='progressbar-timeout'>240 s</span>)</p>");
                    setInterval(function() {
                        if (indx++ > 239) {
                            window.location = "/";
                            return;
                        }
                        $('#progress-bar').width((indx * 100/ 240) + '%');
                        $('.progressbar-timeout').text((240-indx) + " s");
                    }, 1000);
                },
                complete: function() {
                    $.unblockUI();
                    upgrading = false;
                }
            });
        }
        catch(e) {
            console.error(e);
            $.unblockUI();
        }
    });
    $('#btn_upgrade').click(function () {
        var buttons = {};
        buttons["OK"] = function() {
            $( this ).dialog( "close" );
            $("#upgrade_form").submit();
        };
        buttons[lang['S_CANCEL']] = function() {
            $( this ).dialog( "close" );
        };
        $( "#dialog-upgrade" ).dialog( "option", "buttons", buttons);
        $( "#dialog-upgrade" ).dialog("open");
    });
    $('#pass_change').click(function () {
        if ($('input[name="password"]', $('#administration')).val() !== $('input[name="chpassword"]', $('#administration')).val())
        {
            $( "#text", $( "#dialog-alert" )).text(lang['S_PASSWORD']);
            $( "#dialog-alert" ).dialog("open");
            return;
        }
        $.blockUI(block_settings);
        try {
            $.ajax({
                url: 'sources/administration.php',
                method: 'POST',
                data: "action=password&new="+$('input[name="password"]', $('#administration')).val(),
                error: function(jqXHR) {
                    if (jqXHR.status == 401)
                    {
                        window.location = "/";
                        return;
                    }
                    $('#administration').effect("highlight", { color: 'lightcoral'}, 2000);
                },
                success: function(data) {
                    $('input[name="password"]', $('#administration')).val("");
                    $('input[name="chpassword"]', $('#administration')).val("")
                    $('#administration').effect("highlight", { color: 'lightgreen'}, 2000);
                    $('#dialog-password').dialog("open");
                },
                complete: function() {
                    $.unblockUI();
                }
            });
        }
        catch(e) {
            console.error(e);
            $.unblockUI();
        }
    });
    var admin = $.extend($('#administration'), {
        show: function() {
            $('#administration').show();
            var ca = document.cookie.split(';');
            var found = false;
            var now = new Date();
            var time = now.getTime()
            time += 60 * 5 * 1000;
            now.setTime(time);
            for(var i=0;i < ca.length;i++) {
                var c = ca[i];
                while (c.charAt(0)==' ') c = c.substring(1,c.length);
                if (c.indexOf("expires") == 0)
                {
                    ca[i] = 'expires=' + now.toUTCString() + '; path=/';
                    found = true;
                }
            }
            if (!found)
            {
                ca.push('expires=' + now.toUTCString() + '; path=/');
            }
            document.cookie = ca.join(';');
        }
    });
    return admin;
}
