/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var guid = 0;

function initConfiguration() {
    $("#configuration .download").click(function () {
        window.open('sources/configuration.php?action=' + $(this).attr('name'), 'Download', '');
        return false;
    });
    $("#configuration form").on("submit", function (e) {
        e.stopPropagation();
        e.preventDefault();
        var data = new FormData($('#configuration form')[0]);
        $.blockUI(block_settings);
        try {
            $.ajax({
                url: 'sources/configuration.php',
                data: data,
                processData: false,
                contentType: false,
                type: 'POST',
                error: function(jqXHR, textStatus, errorThrown) {
                    if (jqXHR.status == 401)
                    {
                        window.location = "/";
                        return;
                    }
                    $( "#text", $( "#dialog-alert" )).text(lang['S_FILE_LOAD_FAILED'] + " (" + textStatus + ")");
                    $( "#dialog-alert" ).dialog("open");
                },
                success: function(data) {
                     $( "#dialog-upload" ).dialog("open");
                },
                complete: function() {
                    $.unblockUI();
                }
            });
        }
        catch(e) {
            console.error(e);
            $.unblockUI();
        }
    });
    $(".delete", "#configuration form").click(function () {
        $.blockUI(block_settings);
        try {
            $.ajax({
                url: 'sources/configuration.php',
                method: 'POST',
                data: "action=delete&"+($(this).attr("name") == "delete_txt" ? "text_definition_ch":"gui_definition_ch"),
                error: function(jqXHR) {
                    if (jqXHR.status == 401)
                    {
                        window.location = "/";
                        return;
                    }
                    $('#configuration').effect("highlight", { color: 'lightcoral'}, 2000);
                },
                success: function(data) {
                    $('#configuration').effect("highlight", { color: 'lightgreen'}, 2000);
                    $( "#text", $( "#dialog-alert" )).text(lang['S_DELETE_DONE']);
                    $( "#dialog-alert" ).dialog("open");
                },
                complete: function() {
                    $.unblockUI();
                }
            });
        }
        catch(e) {
            console.error(e);
            $.unblockUI();
        }
    });
    return $('#configuration');
}
