<?php
$SUPPORTED_LANGS = array("en", "cs", "de", "pt", "es");
$SUPPORTED_LANGS_NAMES = array("en"=>"English", "cs"=>"Čeština", "de"=>"Deutsch", "pt"=>"Português", "es"=>"Español");
function defineTexts($currLang) {
    switch($currLang) {
    case "cs":
        define("S_DOCUMENT_TITLE","HT300");
        define("S_SETTINGS","Nastavení");
        define("S_ADMINISTRATION","Správa zařízení");
        define("S_CONFIGURATION","Konfigurace");
        define("S_NET_ERROR","Chyba při nastavení sítě. Příčina:");
        define("S_IP_ADDRESS","IP Adresa");
        define("S_IP_MASK","Maska sítě");
        define("S_IP_GW","Výchozí brána");
        define("S_IP_DNS","DNS");
        define("S_SAVE","Nahrát");
        define("S_RESTART","Restartovat zařízení");
        define("S_DOWNLOAD","Stáhnout");
        define("S_UPLOAD","Aktualizace");
        define("S_ADD","Přidat");
        define("S_REMOVE","Odebrat");
        define("S_NAME","Jméno");
        define("S_PASSWORD","Heslo");
        define("S_LOGIN","Přihlásit");
        define("S_APP_NAME","Domat Visual");
        define("S_APP_DOWNLOAD","Stažení konfiguračního souboru");
        define("S_APP_UPLOAD","Nahrání konfiguračního souboru");
        define("S_APP_WEBS","Definice webů PLC");
        define("S_NEW_SW","Nová aplikace a web na zařízení");
        define("S_REBOOT_CONFIRM","Opravdu chcete restartovat zařízení?");
        define("S_VERSIONS","Verze aplikací");
        define("S_WEB_NAME","Webová aplikace");
        define("S_CALIBRATION","Kalibrace obrazovky");
        define("S_RUN","Spustit");
        define("S_CHANGE_PASSWORD","Změna hesla");
        define("S_RETYPE_PASSWORD","Heslo znovu");
        define("S_UPLOAD_OK","Nahrání dat bylo úspěšné. Pro apliakci změn restartujte zařízení.");
        define("S_USER_NAME","Uživatelské jméno");
        define("S_SCREENSAVER_BACKLIGHT","Vypnutí podsvícení (s)");
        define("S_SCREENSAVER_OFF","Vypnutí obrazovky (s)");
        define("S_AUTO_LOGOUT","Automatické odhlášení (s)");
        define("S_WRONG_PASSWORD","Neplatné přihlašovací údaje");
        define("S_FILE_NOT_FOUND","Soubor není k dispozici");
        define("S_RESTARTING_DEVICE","Zařízení se restartuje. Počkejte prosím");
        define("S_WAIT","Počkejte prosím ...");
        define("S_FILE_LOAD_FAILED","Nahrání souboru selhalo");
        define("S_LANGUAGE","Jazyk");
        define("S_CANCEL","Zrušit");
        define("S_PASSWORD_CHANGED","Heslo změněno");
        define("S_ON","Zapnuto");
        define("S_OFF","Vypnuto");
        define("S_BACK","Zpět");
        define("S_RESTART_REQUIRED","Změny se projeví po restartu zařízení");
        define("S_TEXT_DEFINITION","Definice LCD menu");
        define("S_GUI_DEFINITION","Definice HMI GUI");
        define("S_SELECTED","vybrané");
        define("S_DELETE","Smazat");
        define("S_DELETE_DONE","Smazání provedeno. Změny se projeví po restartu zařízení");
        define("S_UPGRADE_CONFIRM","Po aktualizaci se aplikace restartuje. Pokračovat?");
        //errors
        define("S_E_OK", "Bez chyb");
        define("S_E_FILE_OPEN", "Soubor nelze otevřít");
        define("S_E_FILE_WRITE", "Nelze zapsat do souboru");
        define("S_E_VALIDATION", "Chyba validace vstupních dat");
        define("S_E_LOGIN", "Neplatné heslo");
        define("S_E_PASSWORD", "Hesla nejsou stejná");
        break;
    case "pt":
        define("S_DOCUMENT_TITLE","HT300");
        define("S_SETTINGS","Definições");
        define("S_ADMINISTRATION","Gerenciamento de dispositivos");
        define("S_CONFIGURATION","Configuração");
        define("S_NET_ERROR","Erro de configuração de rede. Causa:");
        define("S_IP_ADDRESS","Endereço IP");
        define("S_IP_MASK","Marcara de Rede");
        define("S_IP_GW","Gateway");
        define("S_IP_DNS","DNS");
        define("S_SAVE","Salvar");
        define("S_RESTART","Reiniciar");
        define("S_DOWNLOAD","Transferir");
        define("S_UPLOAD","Atualizações");
        define("S_ADD","Adicionar");
        define("S_REMOVE","Remover");
        define("S_NAME","Utilizador");
        define("S_PASSWORD","Senha");
        define("S_LOGIN","Entrar");
        define("S_APP_NAME","Domat Visual");
        define("S_APP_DOWNLOAD","Descarregar arquivo de configuração");
        define("S_APP_UPLOAD","Carregar arquivo de configuração");
        define("S_APP_WEBS","Definições de sites");
        define("S_NEW_SW","Nova aplicação web");
        define("S_REBOOT_CONFIRM","Deseja reiniciar o dispositivo?");
        define("S_VERSIONS","Versões da aplicação");
        define("S_WEB_NAME","Aplicação Web");
        define("S_CALIBRATION","Calibrar ecrã");
        define("S_RUN","Executar");
        define("S_CHANGE_PASSWORD","Alterar Senha");
        define("S_RETYPE_PASSWORD","Reintroduzir Senha");
        define("S_UPLOAD_OK","Alteração de definições bem sucedida. Para iniciar as alterações, reinicie o dispositivo.");
        define("S_USER_NAME","Utilizador");
        define("S_SCREENSAVER_BACKLIGHT","Tempo de ecrã ativo (s)");
        define("S_SCREENSAVER_OFF","Desligar ecrã (s)");
        define("S_AUTO_LOGOUT","Logout automático (s)");
        define("S_WRONG_PASSWORD","Login errado");
        define("S_FILE_NOT_FOUND","Ficheiro não encontrado");
        define("S_RESTARTING_DEVICE","A reiniciar. Por favor aguarde");
        define("S_WAIT","Por favor aguarde...");
        define("S_FILE_LOAD_FAILED","Falhou o envio do ficheiro");
        define("S_LANGUAGE","Idioma");
        define("S_CANCEL","Cancelar");
        define("S_PASSWORD_CHANGED","Senha alterada");
        define("S_ON","Ligado");
        define("S_OFF","Desligado");
        define("S_BACK","Voltar");
        define("S_RESTART_REQUIRED","As alterações entrarão em vigor depois de reiniciar o dispositivo");
        define("S_TEXT_DEFINITION","Definição do menu do LCD");
        define("S_GUI_DEFINITION","Definição da interface gráfica do HMI");
        define("S_SELECTED","Selecionado");
        define("S_DELETE","Excluir");
        define("S_DELETE_DONE","Eliminação concluida. As alterações entrarão em vigor depois de reiniciar o dispositivo");
        define("S_UPGRADE_CONFIRM","Após a atualização, o aplicativo será reiniciado. Continuar?");
        //errors
        define("S_E_OK", "Sem erros");
        define("S_E_FILE_OPEN", "O ficheiro não pode ser aberto");
        define("S_E_FILE_WRITE", "Impossível escrever para o ficheiro");
        define("S_E_VALIDATION", "Erro na validação dos dados de entrada");
        define("S_E_LOGIN", "Senha inválida");
        define("S_E_PASSWORD", "As senhas não conicidem");
        break;
    case "de":
        define("S_DOCUMENT_TITLE","HT300");
        define("S_SETTINGS","Einstellung");
        define("S_ADMINISTRATION","Einstellung");
        define("S_CONFIGURATION","Konfiguration");
        define("S_NET_ERROR","Fehler beim Netzwerkeinstellung. Ursache:");
        define("S_IP_ADDRESS","IP-Adresse");
        define("S_IP_MASK","Netzwerkmaske");
        define("S_IP_GW","Gateway");
        define("S_IP_DNS","DNS");
        define("S_SAVE","Speichern");
        define("S_RESTART","Gerät restarten");
        define("S_DOWNLOAD","Herunterladen");
        define("S_UPLOAD","Hochladen");
        define("S_ADD","Hinzufügen");
        define("S_REMOVE","Abnehmen");
        define("S_NAME","Name");
        define("S_PASSWORD","Passwort");
        define("S_LOGIN","Einloggen");
        define("S_APP_NAME","Domat Visual");
        define("S_APP_DOWNLOAD","Konfig-Datei herunterladen");
        define("S_APP_UPLOAD","Konfig-Datei hochladen");
        define("S_APP_WEBS","PLC Web-Definition");
        define("S_NEW_SW","Neue App und Web am Gerät");
        define("S_REBOOT_CONFIRM","Gerät wirklich restarten?");
        define("S_VERSIONS","Versionen");
        define("S_WEB_NAME","Web App");
        define("S_CALIBRATION","Display kalibrieren");
        define("S_RUN","Starten");
        define("S_CHANGE_PASSWORD","Passwort ändern");
        define("S_RETYPE_PASSWORD","Passwort wiedereinschreiben");
        define("S_UPLOAD_OK","Hochladen erfolgreich. Bitte Gerät restarten.");
        define("S_USER_NAME","Benutzername");
        define("S_SCREENSAVER_BACKLIGHT","Hintergrundbeleuchtung Aus (s)");
        define("S_SCREENSAVER_OFF","Bildschirmschoner (s)");
        define("S_AUTO_LOGOUT","Automatische Abmeldung (s)");
        define("S_WRONG_PASSWORD","Name oder Passwort falsch");
        define("S_FILE_NOT_FOUND","Datei nicht vorhanden");
        define("S_RESTARTING_DEVICE","Gerät wird restartet. Bitte warten");
        define("S_WAIT","Bitte warten ...");
        define("S_FILE_LOAD_FAILED","Datei konnte nicht hochgeladet werden");
        define("S_LANGUAGE","Sprache");
        define("S_CANCEL","Abbrechen");
        define("S_PASSWORD_CHANGED","Passwort geändert");
        define("S_ON","Ein");
        define("S_OFF","Aus");
        define("S_BACK","Zurück");
        define("S_RESTART_REQUIRED","Änderungen werden erst nach einem Restart übernommen");
        define("S_TEXT_DEFINITION","LCD Menu Definition");
        define("S_GUI_DEFINITION","HMI GUI Definition");
        define("S_SELECTED","ausgewählte");
        define("S_DELETE","Löschen");
        define("S_DELETE_DONE","Löschen fertig. Bitte Gerät restarten");
        define("S_UPGRADE_CONFIRM","Nach der Aktualisation wird die App restartet. Fortfahren?");
        //errors
        define("S_E_OK", "Keine Fehler");
        define("S_E_FILE_OPEN", "Datei kann nicht gelesen werden");
        define("S_E_FILE_WRITE", "Datei kann nicht geschrieben werden");
        define("S_E_VALIDATION", "Eingangsdaten nicht validiert");
        define("S_E_LOGIN", "Passwort falsch");
        define("S_E_PASSWORD", "Passwörte sind nicht gleich");
        break;
    default:
        define("S_DOCUMENT_TITLE","HT300");
        define("S_SETTINGS","Settings");
        define("S_ADMINISTRATION","Device management");
        define("S_CONFIGURATION","Configuration");
        define("S_NET_ERROR","Cannot configure network. Reason:");
        define("S_IP_ADDRESS","IP Address");
        define("S_IP_MASK","IP Mask");
        define("S_IP_GW","Gateway");
        define("S_IP_DNS","DNS");
        define("S_SAVE","Upload");
        define("S_RESTART","Restart device");
        define("S_DOWNLOAD","Download");
        define("S_UPLOAD","Upload");
        define("S_ADD","Add");
        define("S_REMOVE","Remove");
        define("S_NAME","Name");
        define("S_PASSWORD","Password");
        define("S_LOGIN","Login");
        define("S_APP_NAME","Domat Visual");
        define("S_APP_DOWNLOAD","Download configuration file");
        define("S_APP_UPLOAD","Upload configuration file");
        define("S_APP_WEBS","PLCs web definitions");
        define("S_NEW_SW","Device's new application and web");
        define("S_REBOOT_CONFIRM","Realy reboot device?");
        define("S_VERSIONS","Versions");
        define("S_WEB_NAME","Web application");
        define("S_CALIBRATION","Screen calibration");
        define("S_RUN","Run");
        define("S_CHANGE_PASSWORD","Change password");
        define("S_RETYPE_PASSWORD","Retype password");
        define("S_UPLOAD_OK","Data upload success. Restart device for apply new configuration.");
        define("S_USER_NAME","User name");
        define("S_SCREENSAVER_BACKLIGHT","Backlight off (s)");
        define("S_SCREENSAVER_OFF","Screen off (s)");
        define("S_AUTO_LOGOUT","Automatic logout (s)");
        define("S_WRONG_PASSWORD","Wrong password");
        define("S_FILE_NOT_FOUND","File not found");
        define("S_RESTARTING_DEVICE","Device is restarting. Wait please");
        define("S_WAIT","Please wait ...");
        define("S_FILE_LOAD_FAILED","Loading file failed");
        define("S_LANGUAGE","Language");
        define("S_CANCEL","Cancel");
        define("S_PASSWORD_CHANGED","Password changed");
        define("S_ON","ON");
        define("S_OFF","OFF");
        define("S_BACK","Back");
        define("S_RESTART_REQUIRED","Restart device for accept changes.");
        define("S_TEXT_DEFINITION","LCD menu definition");
        define("S_GUI_DEFINITION","HMI GUI definition");
        define("S_SELECTED","selected");
        define("S_DELETE","Delete");
        define("S_DELETE_DONE","Deleting success. Restart device for accept changes.");
        define("S_UPGRADE_CONFIRM","Application restarts after upgrade. Continue?");
        //errors
        define("S_E_OK", "No error");
        define("S_E_FILE_OPEN", "Can't open file");
        define("S_E_FILE_WRITE", "Can't write to file");
        define("S_E_VALIDATION", "Input value validation failed");
        define("S_E_LOGIN", "Invalid password");
        define("S_E_PASSWORD", "Passwords not the same");
        break;
    }
}
?>
