/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
$(document).ready(function() {
	var resetTimeout = 120;
    var menu = {};
    $('.button').button({ });
    menu['settings'] = initSettings();
    menu['administration'] = initAdministration();
    menu['configuration'] = initConfiguration();
    $('.menu a').click(function(event) {
        event.preventDefault();
        $.each(menu, function() {
            this.hide();
        });
        if (!!menu[$(event.currentTarget).attr("href")])
            menu[$(event.currentTarget).attr("href")].show();
        $('.menu a').removeClass('selected');
        $(this).addClass('selected')
        return false;
    });
    $.each(menu, function() {
        this.hide();
    });
    menu["settings"].show();
    $(".add_button").button({
        icons: {
            primary: 'ui-icon-plus'
        }
    });
    $(".remove_button").button({
        icons: {
            primary: 'ui-icon-trash'
        },
        text: false
    });
    var buttons = {};
    buttons["OK"] = function() {
        $( this ).dialog( "close" );
        $.blockUI(block_settings);
        $.ajax({
            url: 'sources/administration.php',
            method: 'POST',
            data: "action=restart",
            error: function(jqXHR) {
                if (jqXHR.status == 401)
                {
                    window.location = "/";
                    return;
                }
                $('html').effect("highlight", { color: 'lightcoral'}, 2000);
            },
            success: function(data) {
                var indx = 0;
                $('body').html("<div id='progressbar'><div id='progress-bar' style='width:0%; background-color:gray;height:2px'></div></div><p>"+lang['S_RESTARTING_DEVICE']+" (<span class='progressbar-timeout'>" + resetTimeout + " s</span>)</p>");
                setInterval(function() {
                    if (++indx > resetTimeout - 1)
					{
						window.location = "/";
						return;
					}
                    $('#progress-bar').width((indx * 100/ resetTimeout) + '%');
                    $('.progressbar-timeout').text((resetTimeout-indx) + " s");
                }, 1000);
            },
            complete: function() {
                $.unblockUI();
            }
        });
    };
    buttons[lang['S_CANCEL']] = function() {
        $( this ).dialog( "close" );
    };
    $( "#dialog-confirm" ).dialog({
        autoOpen: false,
        resizable: false,
        modal: true,
        buttons: buttons,
        width: 500
    });
    $( "#dialog-upgrade" ).dialog({
        autoOpen: false,
        resizable: false,
        modal: true,
        width: 500
    });
    $( "#dialog-alert" ).dialog({
        autoOpen: false,
        resizable: false,
        modal: true,
        buttons: {
            OK: function() {
                $( this ).dialog( "close" );
            }
        },
        width: 500
    });
    $( "#dialog-upload" ).dialog({
        autoOpen: false,
        resizable: false,
        modal: true,
        buttons: {
            OK: function() {
                $( this ).dialog( "close" );
            }
        },
        width: 500
    });
    $( "#dialog-password" ).dialog({
        autoOpen: false,
        resizable: false,
        modal: true,
        buttons: {
            OK: function() {
                $( this ).dialog( "close" );
            }
        },
        width: 500
    });
    $( "#dialog-restart" ).dialog({
        autoOpen: false,
        resizable: false,
        modal: true,
        buttons: {
            OK: function() {
                $( this ).dialog( "close" );
            }
        },
        width: 500
    });
    $(".restart").click(function () {
        $( "#dialog-confirm" ).dialog("open");
    });
});