<?php
    require('localization.php');   // Configuration
    defineTexts($session_lang = $_SESSION['lang']);

    require('config.php');   // Configuration
    require('utils.php');           // utils

    include 'user.php';

    $data = array();
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* Ipaddress setting */
    if ($_SERVER["REQUEST_METHOD"] == 'POST')
    {
        // Validace
        if ($_POST["dhcp"] != "on")
        {
            if (!checkIPv4(trim($_POST["ipAddress"])))
            {
                $data["error"] = $errorTexts[E_VALIDATION].': ipAddress - ['.trim($_POST["ipAddress"]).']';
            }
            if (!checkIPv4(trim($_POST["netMask"])))
            {
                $data["error"] = $errorTexts[E_VALIDATION].': netMask - ['.trim($_POST["netMask"]).']';
            }
        }
        if (count($data) == 0)
        {
            $netSetResult = setNetworkParametres(
                $_POST["dhcp"] != "on",
                trim($_POST["ipAddress"]),
                trim($_POST["netMask"]),
                trim($_POST["gateway"]),
                trim($_POST["dns"])
            );
            if ($netSetResult != E_OK)
            {
                $data["error"] = S_NET_ERROR.' '.$errorTexts[$netSetResult];
            }
            else
            {
                $ini = readIniFile();
                $ini["application"]["backlight"] = $_POST["screen_backlight"];
                $ini["application"]["screen_off"] = $_POST["screen_off"];
                $ini["application"]["auto_logout"] = $_POST["auto_logout"];
                $ini["application"]["language"] = $_POST["language"];
                write_ini($ini);
            }
        }
	echo json_encode($data);
        return;
    }
/* Ipaddress geting */
    $ipSettings = exec ("/sbin/ifconfig br0 | grep 'inet addr:'");
    $ipPars = explode(':', $ipSettings);
    $data["ipAddress"] = substr(trim($ipPars[1]), 0, strpos(trim($ipPars[1]), ' ')) ;
    $data["netMask"] = trim($ipPars[3]);
    $data["dns"] = exec ("cat /etc/resolv.conf | grep 'nameserver' | awk 'NR==1{ print $2}'");
    $data["gateway"] = exec ("netstat -r -n | grep 'UG' | awk '{ print $2}'");
    $data["dhcp"] = strlen(exec("cat /etc/systemd/network/25-bridge.network | grep 'DHCP=yes'")) > 0;
    $data["mac"] = exec ("/sbin/ifconfig br0 | grep 'HWaddr '  | awk '{ print $5}'");

    $ini = readIniFile();
    if (isset($ini["application"]) && isset($ini["application"]["backlight"]) && $ini["application"]["backlight"] != "") {
        $data["screen_backlight"] = $ini["application"]["backlight"];
    }
    else {
        $data["screen_backlight"] = 0;
    }
    if (isset($ini["application"]) && isset($ini["application"]["screen_off"]) && $ini["application"]["screen_off"] != "") {
        $data["screen_off"] = $ini["application"]["screen_off"];
    }
    else {
        $data["screen_off"] = 0;
    }
    if (isset($ini["application"]) && isset($ini["application"]["auto_logout"]) && $ini["application"]["auto_logout"] != "") {
        $data["auto_logout"] = $ini["application"]["auto_logout"];
    }
    else {
        $data["auto_logout"] = 0;
    }

    echo json_encode($data);
